안녕하세요, 문의 드립니다.
현재 서버에 설치해 사용하고 있는 PHP 버전: 5.6.18 인데요,
세팅은 외주로 했었습니다.


개발용으로 웹호스팅 신청을 하나 더 하고자 합니다.

사정이 있어서 좀 작은거 하나를 더 신청하려고 해요.

그런데... 

 

10G 자이언트플러스
PHP5.5 / Mysql 5.x UTF-8

 

10G 자이언트 플러스
PHP 5.5 / Mysql 5.x / UTF-8
PHP 7.0 / mariadb-10.0.x / UTF-8 / HTTP2.0 / Apache2

 

뭘 선택해야 하는지 모르겠어요..ㅠㅠ

 

왜 여기엔7.0은 xe가 오류가 있는 것 같고... 5.5는 잘 모르겠고..

5.5 선택해도 상관 없을까요??

  • profile
    10G 자이언트플러스는 구매 페이지가 두 군데 있는데, 아무데서나 신청해도 결과는 똑같아요.
    호환성 문제 때문에 귀찮아지는 게 싫다면 PHP 5.5가 안전합니다.
  • profile ?
    아, 그럼 PHP 5.5로 가야겠군요.
    하나만 더 여쭤볼게요~
    나중에 자이언트에서 개발한거 단독서버 초기화하고 이전할 건데요~ 세팅을 일일이 잡아줘야 하지요? ㅠㅠ
  • ? profile

    카페24 기준으로 "단독웹호스팅"처럼 "웹"이라는 글자가 포함되어 있는 상품은 마치 웹호스팅처럼 다 세팅되어 있어서 FTP로 파일만 업로드하면 됩니다. 아마 옮기는 것도 신청만 하면 알아서 해줄 거예요.

    반면, ○○서버호스팅, 클라우드 같은 상품은 O/S만 설치된 깡통상태이기 때문에 대부분 직접 세팅해야 합니다. 새로 산 핸드폰에 내가 쓰고 싶은 어플은 직접 설치해야 하는 것과 마찬가지예요. (핸드폰과 마찬가지로 쓸데없는 것이 깔려 있어서 지워야 하는 경우도 종종 있습니다 -_-) 어려우면 의뢰하세요~

  • profile ?
    확실히 이해했습니다. 이전할 땐 깔끔하게 세팅부터 의뢰하는게 낫겟네요. 감사합니다!!
  • profile
    약간의 이슈가 있긴 합니다만 PHP7 사용 하기를 권장하고 싶습니다.

    아직 코어에서 해결 안된 문제는

    https://xetown.com/index.php?mid=lakepark&category=11323&document_srl=235480

    이 글을 참고해서 수정하면 거의 문제 없이 작동할 겁니다..
  • profile profile

    코어는 거의 괜찮은데, 서드파티 모듈들이 말썽을 일으키기도 해요. PHP7에서 없어져 버린 eregi 함수를 쓴다거나, call-time pass by reference 때문에 치명적인 오류를 뿜어버린다거나...

  • profile profile
    그..그렇군요.. 거의... 순정 코어만 써서 몰랐습니다.. 흐흐흐

    사실 개별적으로 쓰고 있는 모듈이.. 소셜XE 말고는 없.......;;
  • profile ?
    버전 높은게 무조건 좋은 줄 알았던 1인입니다!!
    답변 감사합니다~!
  • ? profile
    코노하님이 링크하신 문제들은 PHP 5.5에서도 마찬가지로 발생합니다 ㅡ.ㅡ